GuideLab API

List retention holds

Lists a bounded set of immutable retention-hold evidence placed by the active organization.

GET
/organization/retention-holds

Lists a bounded set of immutable retention-hold evidence placed by the active organization.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

status?string
Default"live"

Value in

  • "live"
  • "released"
  • "all"
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/organization/retention-holds"
{  "holds": [    {      "id": "string",      "holdingOrganizationId": "string",      "matterKey": "string",      "operation": "all",      "reason": "string",      "scope": {        "kind": "organization",        "id": "string"      },      "placedAt": "2019-08-24T14:15:22Z",      "placedBy": "string",      "releasedAt": "2019-08-24T14:15:22Z",      "releasedBy": "string",      "reviewDueAt": "2019-08-24T14:15:22Z",      "platformCustodyAt": "2019-08-24T14:15:22Z"    }  ]}
Empty
Empty
Empty